:root {
  --background-color: #212a2e;
  --text-color: #F7F8F8;
  --link-color: #828fff;
  --button-background: #aaaaaa;
}

html[data-theme='light'] {
  --background-color: #fff;
  --text-color: #121416d8;
  --link-color: #543fd7;
}

html[data-theme='dark'] {
  --background-color: #212a2e;
  --text-color: #F7F8F8;
  --link-color: #828fff;
}

body {
  background: var(--background-color);
  color: var(--text-color);
}

a {
  color: var(--link-color);
}

a:hover {
  text-decoration: underline;
  filter: brightness(80%);
}


@media all and (min-width:1200px) {
  #app {
    max-width: 1000px;
    margin: 0 auto;
  }
}

@media all and (min-width: 960px) and (max-width: 1199px) {
  #app {
    max-width: 900px;
    margin: 0 auto;
  }
}

button, button.firebaseui-id-submit.mdl-button--raised.mdl-button--colored {
  align-items: center;
  background-color: var(--button-background);
  border-color: rgb(60, 67, 154);
  border-radius: 4px;
  border-style: solid;
  border-width: 1px;
  box-shadow: none;
  color: rgb(60, 67, 154);
  cursor: pointer;
  display: inline-flex;
  font-family: Roboto, sans-serif;
  font-size: 14px;
  font-weight: bold;
  height: 36px;
  justify-content: center;
  margin: 8px 16px;
  outline-color: rgb(60, 67, 154);
  overflow: hidden;
  padding: 0px 15px;
  position: relative;
  text-align: center;
  text-transform: uppercase;
  vertical-align: middle;
}

.users-action-btn {
  height: 20px;
  margin: 0;
  padding: 0 5px;
  border: none;
  background-color: rgba(0, 0, 0, 0);
  color: #ddd;
}

#admin-section {
  display: flex;
  flex-direction: column;
  justify-content: top;
  align-items: center;
}

.users-container {
  display: flex;
  flex-direction: column;
  justify-content: top;
  align-items: center;
}

.users-header {
  width: 100%;
  display: flex;
  flex-flow: row nowrap;
  justify-content: center;
  align-items: center;
  font-weight: bold;
  border-bottom: #ccc 2px solid;
  text-align: center;
}

.users-body {
  width: 100%;
  display: flex;
  flex-direction: column;
  justify-content: top;
  align-items: center;
}

.users-row {
  width: 100%;
  display: flex;
  flex-flow: row nowrap;
  justify-content: center;
  align-items: center;
}

.users-rowid {
  flex: 1 0 40px;
  text-align: center;
}

.users-name {
  flex: 2 0 200px;
}

.users-email {
  flex: 2 0 200px;
}

.users-roles {
  flex: 1 0 200px;
  text-align: center;
}

.users-created {
  flex: 1 0 120px;
  text-align: center;
}

.users-lastlogin {
  flex: 1 0 120px;
  text-align: center;
}

.users-actions {
  flex: 0 0 60px;
  display: flex;
  flex-flow: row nowrap;
  justify-content: center;
  align-items: center;
}

.user-details {
  width: 420px;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  margin: 30px auto;
}

.user-details-row {
  width: 100%;
  padding-bottom: 6px;
  display: flex;
  flex-flow: row nowrap;
  justify-content: center;
}

.user-details-label {
  flex: 0 0 120px;
  text-align: end;
  padding-right: 16px;
}

.user-details-value {
  flex: 0 0 300px;
  text-align: start;
}


.material-icons {
  font-size: 18px;
}